列出 b2cIdentityUserFlow 中已弃 (identityProviders)
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
注意
此标识提供程序 API 已弃用,并将在 2023 年 3 月之后停止返回数据。 请使用新的 标识提供程序 API 。
获取 b2cIdentityUserFlow 对象中的标识 提供程序。
Permissions
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
IdentityUserFlow.ReadWrite.All
委派(个人 Microsoft 帐户)
不支持。
应用程序
IdentityUserFlow.ReadWrite.All
工作或学校帐户需要属于以下角色之一:
HTTP 请求
GET /identity/b2cUserFlows/{id}/identityProviders
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 响应代码和 200 OK identityProviders 的 JSON 表示形式。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/identity/b2cUserFlows/{id}/identityProviders
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var identityProviders = await graphClient.Identity.B2cUserFlows["{b2cIdentityUserFlow-id}"].IdentityProviders
.Request()
.GetAsync();
const options = {
authProvider,
};
const client = Client.init(options);
let identityProviders = await client.api('/identity/b2cUserFlows/{id}/identityProviders')
.version('beta')
.get();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/identity/b2cUserFlows/{id}/identityProviders"]]];
[urlRequest setHTTPMethod:@"GET"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
NSError *jsonError = nil;
MSCollection *collection = [[MSCollection alloc] initWithData:data error:&jsonError];
MSGraphIdentityProvider *identityProvider = [[MSGraphIdentityProvider alloc] initWithDictionary:[[collection value] objectAtIndex: 0] error:&nserror];
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
IdentityProviderCollectionWithReferencesPage identityProviders = graphClient.identity().b2cUserFlows("{id}").identityProviders()
.buildRequest()
.get();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
b2cIdentityUserFlowId := "b2cIdentityUserFlow-id"
result, err := graphClient.Identity().B2cUserFlowsById(&b2cIdentityUserFlowId).IdentityProviders().Get()
响应
下面展示了示例响应。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"id": "Facebook-OAuth",
"type": "Facebook",
"name": "Facebook",
"clientId": "clientIdFromFacebook",
"clientSecret": "*****"
},
{
"id": "Google-OAuth",
"type": "Google",
"name": "Google",
"clientId": "clientIdFromGoogle",
"clientSecret": "*****"
}
]
}